<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_RentacarElements StructType
 * @subpackage Structs
 */
class JP_RentacarElements extends AbstractStructBase
{
    /**
     * The RentacarElement
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_RentacarElement
     */
    public $RentacarElement;
    /**
     * Constructor method for JP_RentacarElements
     * @uses JP_RentacarElements::setRentacarElement()
     * @param \StructType\JP_RentacarElement $rentacarElement
     */
    public function __construct(\StructType\JP_RentacarElement $rentacarElement = null)
    {
        $this
            ->setRentacarElement($rentacarElement);
    }
    /**
     * Get RentacarElement value
     * @return \StructType\JP_RentacarElement|null
     */
    public function getRentacarElement()
    {
        return $this->RentacarElement;
    }
    /**
     * Set RentacarElement value
     * @param \StructType\JP_RentacarElement $rentacarElement
     * @return \StructType\JP_RentacarElements
     */
    public function setRentacarElement(\StructType\JP_RentacarElement $rentacarElement = null)
    {
        $this->RentacarElement = $rentacarElement;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_RentacarElements
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
